'Font1 dvoredni format ispisa Single varijable na LCD
'u opsegu od 0 do 999.9

$regfile = "m328pdef.dat"
$crystal = 16000000
$swstack = 50
$hwstack = 40
$framesize = 64

'Mladen Cempuh , 10.2024.
'------------------------------------------------------------
'DEFINIRANJE LCD DISPLEJA U 4 BITNOM RADU

Config Lcd = 16 * 2                                         ' izabran LCD1602 , za izbor LCD2004 stavi 20 * 4

Config Lcdpin = Pin , Db4 = Portc.3 , Db5 = Portc.2 , Db6 = Portb.5 , Db7 = Portb.4 , Rs = Portc.5 , E = Portc.4
Cls
Cursor Off

'-------------------------------------------------------------

$include "positive_single_999.9_font1.inc"                  ' knjizica za dvoredni Font1 ispis pozitivnog decimalnog broja od 0.0 do 999.9
                                                             ' iz Single varijable
'-------------------------------------------------------------

Dim X As Single

Locate 1 , 16 : Lcd Chr(161)                                ' znak stupanj dolje

Locate 2 , 16 : Lcd "C"

Do

For X = 0 To 999.9 Step 10.3

 Big_number 1 , 1 , X                                       ' ispisi na poziciju y = 1, x = 1, pozitivan decimalni broj u Single varijabli X

 Waitms 600

Next X

Loop

End